summaryrefslogtreecommitdiffstats
path: root/source/a
diff options
context:
space:
mode:
Diffstat (limited to 'source/a')
-rwxr-xr-xsource/a/iniparser/iniparser.SlackBuild114
-rw-r--r--source/a/iniparser/iniparser.url1
-rw-r--r--source/a/iniparser/slack-desc19
-rw-r--r--source/a/ndctl/doinst.sh4
-rwxr-xr-xsource/a/ndctl/ndctl.SlackBuild49
5 files changed, 160 insertions, 27 deletions
diff --git a/source/a/iniparser/iniparser.SlackBuild b/source/a/iniparser/iniparser.SlackBuild
new file mode 100755
index 000000000..f4861c874
--- /dev/null
+++ b/source/a/iniparser/iniparser.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/bash
+
+# Copyright 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=iniparser
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# This is an easy one ;-)
+make
+
+# Install:
+mkdir -p $PKG/usr/include
+cp -a src/iniparser.h src/dictionary.h $PKG/usr/include
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+cp -a libiniparser.so.1 $PKG/usr/lib${LIBDIRSUFFIX}
+ln -sf libiniparser.so.1 $PKG/usr/lib${LIBDIRSUFFIX}/libiniparser.so
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* FAQ* LICENSE* README* \
+ example \
+ html \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/a/iniparser/iniparser.url b/source/a/iniparser/iniparser.url
new file mode 100644
index 000000000..fe75bfb0e
--- /dev/null
+++ b/source/a/iniparser/iniparser.url
@@ -0,0 +1 @@
+https://github.com/ndevilla/iniparser
diff --git a/source/a/iniparser/slack-desc b/source/a/iniparser/slack-desc
new file mode 100644
index 000000000..e45e2eade
--- /dev/null
+++ b/source/a/iniparser/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+iniparser: iniparser (ini file parsing library)
+iniparser:
+iniparser: iniParser is a simple C library offering ini file parsing services.
+iniparser: The library is pretty small (less than 1500 lines of C) and robust,
+iniparser: and does not depend on any other external library to compile. It is
+iniparser: written in ANSI C and should compile easily on most platforms.
+iniparser:
+iniparser: Homepage: https://github.com/ndevilla/iniparser
+iniparser:
+iniparser:
+iniparser:
diff --git a/source/a/ndctl/doinst.sh b/source/a/ndctl/doinst.sh
index 2fe7500eb..2e3807d65 100644
--- a/source/a/ndctl/doinst.sh
+++ b/source/a/ndctl/doinst.sh
@@ -11,4 +11,6 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-config etc/ndctl/monitor.conf.new
+config etc/ndctl.conf.d/ndctl.conf.new
+config etc/ndctl.conf.d/monitor.conf.new
+config etc/daxctl.conf.d/daxctl.example.conf.new
diff --git a/source/a/ndctl/ndctl.SlackBuild b/source/a/ndctl/ndctl.SlackBuild
index d125ff988..98631aa53 100755
--- a/source/a/ndctl/ndctl.SlackBuild
+++ b/source/a/ndctl/ndctl.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2020 Robby Workman, Tuscaloosa, Alabama, USA
-# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2020, 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=ndctl
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -87,37 +87,34 @@ find . \
-exec chmod 644 {} \+
# Configure, build, and install:
-if [ ! -r configure ]; then
- if [ -x ./autogen.sh ]; then
- NOCONFIGURE=1 ./autogen.sh
- else
- autoreconf -vif
- fi
-fi
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --disable-static \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --without-systemd \
- --disable-asciidoctor \
- --with-bash=no \
- --build=$ARCH-slackware-linux || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --buildtype=release \
+ -Dsystemd=disabled \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
mkdir $PKG/lib
mv $PKG/etc/modprobe.d $PKG/lib
-mv $PKG/etc/ndctl/monitor.conf $PKG/etc/ndctl/monitor.conf.new
+for file in $PKG/etc/ndctl.conf.d/ndctl.conf $PKG/etc/ndctl.conf.d/monitor.conf $PKG/etc/daxctl.conf.d/daxctl.example.conf ; do
+ mv $file ${file}.new
+done
# We ship bash-completion in /extra, so this won't build using --with-bash=yes
# since it isn't available on a default installation. No matter, we'll just